- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AmbientOcclusionComponent Class Reference

Search for all occurrences

## Detailed Description

This class represents the ambient occlusion component.

Definition at line 206 of file MapExtractorAPI.h.

`#include <MapExtractorAPI.h>`

Inheritance diagram for AmbientOcclusionComponent:
[legend]

List of all members.

## Public Member Functions
enum Quality | Quality (void) const
| Returns the quality of the generated AO values.
void | SetQuality (enum Quality eQuality)
| Sets the quality of the generated AO values.
Resolution | ShadowMapResolution (void) const
| Returns the resolution of the shadow map which is used during extraction.
void | SetShadowMapresolution (Resolution eResolution)
| Sets the resolution of the shadow map which is used during extraction.
float | ShadowDarkness (void) const
| Returns the shadow darkness value (in the 0-1 range).
void | SetShadowDarkness (float fDarkness)
| Sets the shadow darkness value (in the 0-1 range).
float | ShadowContrast (void) const
| Returns the shadow contrast value (in the 0-1 range).
void | SetShadowContrast (float fContrast)
| Sets the shadow contrast value (in the 0-1 range).
float | Filter (void) const
| Retuns the current filter value.
void | SetFilter (float fFilter)
| Sets the current filter value.

## Member Function Documentation

enum Quality Quality | ( | void |  | ) | const

Search for all occurrences

Returns the quality of the generated AO values.

void SetQuality | ( | enum Quality | eQuality | ) |

Search for all occurrences

Sets the quality of the generated AO values.

Resolution ShadowMapResolution | ( | void |  | ) | const

Search for all occurrences

Returns the resolution of the shadow map which is used during extraction.

void SetShadowMapresolution | ( | Resolution | eResolution | ) |

Search for all occurrences

Sets the resolution of the shadow map which is used during extraction.

float ShadowDarkness | ( | void |  | ) | const

Search for all occurrences

Returns the shadow darkness value (in the 0-1 range).

void SetShadowDarkness | ( | float | fDarkness | ) |

Search for all occurrences

Sets the shadow darkness value (in the 0-1 range).

float ShadowContrast | ( | void |  | ) | const

Search for all occurrences

Returns the shadow contrast value (in the 0-1 range).

void SetShadowContrast | ( | float | fContrast | ) |

Search for all occurrences

Sets the shadow contrast value (in the 0-1 range).

float Filter | ( | void |  | ) | const

Search for all occurrences

Retuns the current filter value.

void SetFilter | ( | float | fFilter | ) |

Search for all occurrences

Sets the current filter value.

The documentation for this class was generated from the following file:

- MapExtractorAPI/MapExtractorAPI.h

AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent
AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent AmbientOcclusionComponent